//media query
@mixin breakpoint($point) {
    @if $point==ipad-only {
        @media (min-width: 768px) and (max-width: 1023px) {
            @content ;
        }
    }
    @if $point==ipad {
        @media (max-width: 1023px) {
            @content ;
        }
    }
    @else if $point==mobile {
        @media (max-width: 767px) {
            @content ;
        }
    }
    @else if $point==smmobile {
        @media (max-width: 480px) {
            @content ;
        }
    }
}

//transition css

@mixin transition-all($all-duration) {
    transition: $all-duration;
    -webkit-transition: $all-duration;
    -moz-transition: $all-duration;
    -ms-transition: $all-duration;
    -o-transition: $all-duration;
}